小波です。

なんとか Cygwin/GCC  でビルドできたようです。昨日(おっと一昨
日になってるけど)の時点の作業では,最新の CVS スナップショッ
トに対して,[ruby-list:41068]の ext/digest 下のヘッダファイル
の修正をまだ試していませんでした(openssl のパッチのチェックに
時間を使ってしまった)。

結局,Tue Aug 30 04:00:46 JST 2005のスナップショットと,
ext/digest/ の修正で最後までmake が通り,普段つかっているCGI
も問題なく動作するようです。ruby --version で 1.9.0(2005-08-29)
なんて表示されるとちょっとうれしい(多少不安で刺激的という
か)。

アドバイスいただいた Nakamura さん, Gotou さん,ありがとうござ
いました。勉強になりました。

というわけで,conundrum さんも挑戦してみてはいかがでしょう?